﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.Client;
using Microsoft.TeamFoundation.Server;
using Microsoft.TeamFoundation.VersionControl.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Client;

namespace DBSchemaService.Core
{
    public class BranchInfo
    {
        private string _branchName;
        private string _database;
        private string _serverPath; 
        
        public string BranchName
        {
            get
            {
                return _branchName;
            }
            set
            {
                _branchName = value;
            }
        }

        public string Database
        {
            get
            {
                return _database;
            }
            set
            {
                _database = value;
            }
        }
       
        public string ServerPath
        {
            get
            {
                return _serverPath;
            }
            set
            {
                _serverPath = value;
            }
        }

        public BranchInfo(string branchName, string database, string serverPath)
        {
            _branchName = branchName;
            _database = database;            
            _serverPath = serverPath;           
        }
    }
}
