USE [master]
GO

/****** Object:  Database [Schema]    Script Date: 01/04/2013 23:53:04 ******/
CREATE DATABASE [Schema] ON  PRIMARY 
( NAME = N'schemaversions', FILENAME = N'E:\SQLDATA\Data\schemaversions.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'schemaversions_log', FILENAME = N'E:\SQLDATA\Data\schemaversions_log.ldf' , SIZE = 2048KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [Schema] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [Schema].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [Schema] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [Schema] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [Schema] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [Schema] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [Schema] SET ARITHABORT OFF 
GO

ALTER DATABASE [Schema] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [Schema] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [Schema] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [Schema] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [Schema] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [Schema] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [Schema] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [Schema] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [Schema] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [Schema] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [Schema] SET  DISABLE_BROKER 
GO

ALTER DATABASE [Schema] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [Schema] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [Schema] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [Schema] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [Schema] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [Schema] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [Schema] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [Schema] SET  READ_WRITE 
GO

ALTER DATABASE [Schema] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [Schema] SET  MULTI_USER 
GO

ALTER DATABASE [Schema] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [Schema] SET DB_CHAINING OFF 
GO


