USE [Schema]
GO

/****** Object:  Table [dbo].[SchemaVersions]    Script Date: 01/04/2013 23:47:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[SchemaVersions](
	[databaseID] [int] NOT NULL,
	[versionNumber] [numeric](16, 3) NOT NULL,
	[branchID] [nvarchar](50) NOT NULL,
	[dateModified] [datetime] NULL
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[DatabaseIndex]    Script Date: 01/04/2013 23:47:23 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[DatabaseIndex](
	[databaseID] [int] NOT NULL,
	[databaseName] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_DatabaseIndex_1] PRIMARY KEY CLUSTERED 
(
	[databaseName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO



/****** Object:  Table [dbo].[BranchIndex]    Script Date: 01/04/2013 23:47:15 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[BranchIndex](
	[branchID] [int] NOT NULL,
	[branchName] [nvarchar](50) NULL,
 CONSTRAINT [PK_BranchIndex] PRIMARY KEY CLUSTERED 
(
	[branchID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO




